import App from './App'

// #ifndef VUE3
import Vue from 'vue';
import { router, RouterMount } from './router';
import webUni from '@/static/uni.webview.js'

import store from './store';
import uView from "uview-ui";
Vue.use(uView);
Vue.use(router)

// 页面转成JPG
import html2canvas from 'html2canvas';
Vue.use(html2canvas)

// 导入组件库-海报
import VueCanvasPoster from 'vue-canvas-poster'
// 注册组件库-海报
Vue.use(VueCanvasPoster)

//微信支付
Vue.prototype.$wx = require('jweixin-module')
Vue.prototype.$store = store
Vue.prototype.$webUni = webUni
// Vue.prototype.$urlName = 'https://web.douhuofalv.com/webWechat/index'
// Vue.prototype.$urlName = 'https://web.douhuotest.douhuofalv.com/webWechat/index'
Vue.config.ignoredElements = [...Vue.config.ignoredElements, 'wx-open-launch-weapp']
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif
    // #ifdef H5
      RouterMount(app,router,'#app')
     // #endif
// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
